# Widgets demo

For a quick start on how to run the File System / S3 demo in conjunction with the YOUnite stack and the `Biz demo` see link:FS-S3-Local-Demo.html[File System and S3 Demo].

## Running locally

To start the Widgets demo locally, make sure the YOUnite stack is up and running. Next, select two folders
on your local computer that you would like to synchronize. For example, you might create a folder called "temp"
and put a "source" and "destination" folder under it for this purpose. These folders will be mounted as volumes
to the docker image so that synchronization can be performed.

> NOTE! On Windows use forward slashes, not backslashes for folder names.

Example:

    python3 ./start.py -l -s file:///d:/temp/source -x file:///d:/temp/destination
 
For more information on the parameters of `start.py` execute it with no parameters for the usage guide.

### Running locally with AWS S3

Alternatively, S3 can be used as the source and/or destination. Simply change the source / destination URIs to
a valid S3 destination, ie s3://younite.local.fs.demo.

S3 can be used as the source, destination, or both. For example, to move files from a local folder to
an S3 folder, you might start the demo like so:

    python3 ./start.py -l -s file:///d:/temp/source -x s3://younite.local.fs.demo

> NOTE! To use S3 the environment variables AWS_ACCESS_KEY_ID and AWS_SECRET_ACCESS_KEY must be set.

> NOTE: The bucket `younite.local.fs.demo` is available and fair game for demo and testing purposes.

### Stopping locally

To stop the locally running Widgets demo run:

    python3 ./stop.py -l
    
## Running in AWS

The Bitbucket pipeline will automatically deploy the Widgets demo to the AWS demo environment. This demo
uses two S3 buckets (fs-demo-source and fs-demo-destination). 
 