#!/usr/bin/python3

import os
import sys
import getopt

assert sys.version_info >= (3, 7)

script_path = os.path.dirname(os.path.realpath(__file__))
biz_demo_path = script_path + '/../../../db-adaptor/example/biz'
biz_demo_scripts_path = biz_demo_path + "/scripts"
# So this works with the biz demo
if not os.path.isdir(biz_demo_path):
    biz_demo_path = script_path + '../../../biz-demo'
if not os.path.isdir(biz_demo_path):
    print('Cannot find biz demo directory: Update script variable to point to the biz demo installation directory: biz_demo_path')
    exit(2)

# add the biz demo scripts path so those scripts can be used
sys.path.insert(1, biz_demo_scripts_path)

import zones
from functions import exec_command, list_to_dict


def usage():
    print("Usage: stop.py [-d | -l]")
    print("-d = AWS Demo")
    print("-l = Local docker")
    exit(1)

try:
    opts, _ = getopt.getopt(sys.argv[1:], "dl")
except getopt.GetoptError as err:
    print("ERROR: " + err.msg + "\n")
    usage()

demo = False
local = False

for o, v in opts:
    if o == "-d":
        demo = True
        global_file = biz_demo_path + "/aws_global.json"
    elif o == "-l":
        local = True

if not (demo ^ local):
    usage()


# stop and remove running containers
if local:
    exec_command("docker stop widgets_destination_adaptor || true", shell=True)
    exec_command("docker rm widgets_destination_adaptor || true", shell=True)
    exec_command("docker stop widgets_source_adaptor || true", shell=True)
    exec_command("docker rm widgets_source_adaptor || true", shell=True)

else:
    exec_command("kubectl scale --replicas=0 deployment/source-fs-adaptor || true", shell=True)
    exec_command("kubectl scale --replicas=0 deployment/destination-fs-adaptor || true", shell=True)
